---
title: "Get all fulfillments for the fulfillment order"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/get-all-fulfillments-for-the-fulfillment-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/get-all-fulfillments-for-the-fulfillment-order.md'
---
# Get all fulfillments for the fulfillment order

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /fulfillment_orders/:order_id/:fulfillment_order_id/fulfillments.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_assigned_fulfillment_orders`

## Request

### Path Parameters

* `fulfillment_order_id`

  string (required)

  Performance order id

* `order_id`

  string (required)

  Order id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `fulfillments`

  array<object>

  Package details

  * `order_id`

    string

    Order id

  * `tracking_number`

    string

    Third party tracking number

  * `status`

    string

    Parcel single status

  * `tracking_url`

    string

    Logistics tracking URL

  * `tracking_urls`

    array<string>

    Logistics tracking url list

  * `updated_at`

    string

    Update time

  * `created_at`

    string

    Creation time

  * `id`

    string

    Parcel single id

  * `shipment_status`

    string

    Logistics status

  * `tracking_company`

    string

    Logistics company name

  * `tracking_numbers`

    array<string>

    Third party logistics single number list

  * `line_items`

    array<object>

    Package Product

    * `price_set`

      object

      Item price information

      * `presentment_money`

        object

        Price

      * `shop_money`

        object

        Store price

    * `name`

      string

      Sku title

    * `fulfillment_quantity`

      integer

      Shipping quantity

    * `total_discount_set`

      object

      Great price information

      * `presentment_money`

        object

        Price

      * `shop_money`

        object

        Store price

    * `variant_title`

      string

      Product attribute value

    * `fulfillable_quantity`

      integer

      Remaining quantity can be shipped

    * `fulfillment_status`

      string

      Package tracking

    * `requires_shipping`

      boolean

      Shipping or not

    * `quantity`

      integer

      Sku quantity

    * `price`

      string

      Item price

    * `total_discount`

      string

      Discount

    * `taxable`

      boolean

      Tax or not？

    * `sku`

      string

      Product barcode

    * `properties`

      array<object>

      Additional information

      * `value`

        string

        Custom attribute values

      * `additional`

        string

        Additional information

      * `name`

        string

        Custom attribute name

      * `type`

        string

        Attribute type

      * `urls`

        array<string>

        Url list

    * `product_id`

      string

      Product serial number

    * `title`

      string

      Product title

    * `vendor`

      string

      Supplier

    * `version`

      string

      Product version

    * `variant_id`

      string

      Sku serial number

    * `grams`

      double

      Weight

    * `id`

      string

      id

    * `tax_lines`

      array<object>

      Tax item

      * `price_set`

        object

        Multi-currency information of tax

      * `rate`

        string

        Tax rate

      * `title`

        string

        Tax title

      * `name`

        string

        Tax name

      * `price`

        string

        Tax

  * `name`

    string

    Package name


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_assigned_fulfillment_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "xVLmNhdq",
  "parameters": [
    {
      "name": "fulfillment_order_id",
      "in": "path",
      "description": "Performance order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_order_id",
        "description": "Performance order id",
        "type": "string",
        "example": "\"21057401932826316666967110\""
      },
      "example": "\"21057401932826316666967110\""
    },
    {
      "name": "order_id",
      "in": "path",
      "description": "Order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order id",
        "type": "string",
        "example": "\"21057401932826316666967110\""
      },
      "example": "\"21057401932826316666967110\""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "fulfillments": {
                "name": "fulfillments",
                "description": "Package details",
                "type": "array",
                "items": {
                  "name": "fulfillments",
                  "description": "Package details",
                  "type": "object",
                  "properties": {
                    "order_id": {
                      "name": "order_id",
                      "description": "Order id",
                      "type": "string",
                      "example": "\"21057116277667827637773776\""
                    },
                    "tracking_number": {
                      "name": "tracking_number",
                      "description": "Third party tracking number",
                      "type": "string",
                      "example": "\"UG198768340YP\""
                    },
                    "status": {
                      "name": "status",
                      "description": "Parcel single status",
                      "type": "string",
                      "example": "\"success\""
                    },
                    "tracking_url": {
                      "name": "tracking_url",
                      "description": "Logistics tracking URL",
                      "type": "string",
                      "example": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                    },
                    "tracking_urls": {
                      "name": "tracking_urls",
                      "description": "Logistics tracking url list",
                      "type": "array",
                      "items": {
                        "name": "tracking_urls",
                        "description": "Logistics tracking url list",
                        "type": "string",
                        "example": "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                      },
                      "example": [
                        "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                      ]
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "Update time",
                      "type": "string",
                      "example": "2022-10-21T08:56:20-04:00"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "Creation time",
                      "type": "string",
                      "example": "2022-10-21T08:56:20-04:00"
                    },
                    "id": {
                      "name": "id",
                      "description": "Parcel single id",
                      "type": "string",
                      "example": "\"4005740193290131085320\""
                    },
                    "shipment_status": {
                      "name": "shipment_status",
                      "description": "Logistics status",
                      "type": "string",
                      "example": "\"success\""
                    },
                    "tracking_company": {
                      "name": "tracking_company",
                      "description": "Logistics company name",
                      "type": "string",
                      "example": "\"Other\""
                    },
                    "tracking_numbers": {
                      "name": "tracking_numbers",
                      "description": "Third party logistics single number list",
                      "type": "array",
                      "items": {
                        "name": "tracking_numbers",
                        "description": "Third party logistics single number list",
                        "type": "string",
                        "example": "[\"UG198768340YP\"]"
                      },
                      "example": [
                        "[\"UG198768340YP\"]"
                      ]
                    },
                    "line_items": {
                      "name": "line_items",
                      "description": "Package Product",
                      "type": "array",
                      "items": {
                        "name": "line_items",
                        "description": "Package Product",
                        "type": "object",
                        "properties": {
                          "price_set": {
                            "name": "price_set",
                            "description": "Item price information",
                            "type": "object",
                            "properties": {
                              "presentment_money": {
                                "name": "presentment_money",
                                "description": "Price",
                                "type": "object",
                                "properties": {
                                  "amount": {
                                    "name": "amount",
                                    "description": "Total",
                                    "type": "string",
                                    "example": "\"100.00\""
                                  },
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "Currency",
                                    "type": "string",
                                    "example": "\"USD\""
                                  }
                                },
                                "example": {
                                  "amount": "\"100.00\"",
                                  "currency_code": "\"USD\""
                                }
                              },
                              "shop_money": {
                                "name": "shop_money",
                                "description": "Store price",
                                "type": "object",
                                "properties": {
                                  "amount": {
                                    "name": "amount",
                                    "description": "Total",
                                    "type": "string",
                                    "example": "\"100.00\""
                                  },
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "Currency",
                                    "type": "string",
                                    "example": "\"USD\""
                                  }
                                },
                                "example": {
                                  "amount": "\"100.00\"",
                                  "currency_code": "\"USD\""
                                }
                              }
                            },
                            "example": {
                              "presentment_money": {
                                "amount": "\"100.00\"",
                                "currency_code": "\"USD\""
                              },
                              "shop_money": {
                                "currency_code": "\"USD\"",
                                "amount": "\"100.00\""
                              }
                            }
                          },
                          "name": {
                            "name": "name",
                            "description": "Sku title",
                            "type": "string",
                            "example": "Trade name"
                          },
                          "fulfillment_quantity": {
                            "name": "fulfillment_quantity",
                            "description": "Shipping quantity",
                            "type": "integer",
                            "example": 1
                          },
                          "total_discount_set": {
                            "name": "total_discount_set",
                            "description": "Great price information",
                            "type": "object",
                            "properties": {
                              "presentment_money": {
                                "name": "presentment_money",
                                "description": "Price",
                                "type": "object",
                                "properties": {
                                  "amount": {
                                    "name": "amount",
                                    "description": "Total",
                                    "type": "string",
                                    "example": "\"0.00\""
                                  },
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "Currency",
                                    "type": "string",
                                    "example": "\"USD\""
                                  }
                                },
                                "example": {
                                  "currency_code": "\"USD\"",
                                  "amount": "\"0.00\""
                                }
                              },
                              "shop_money": {
                                "name": "shop_money",
                                "description": "Store price",
                                "type": "object",
                                "properties": {
                                  "amount": {
                                    "name": "amount",
                                    "description": "Total",
                                    "type": "string",
                                    "example": "\"0.00\""
                                  },
                                  "currency_code": {
                                    "name": "currency_code",
                                    "description": "Currency",
                                    "type": "string",
                                    "example": "\"USD\""
                                  }
                                },
                                "example": {
                                  "amount": "\"0.00\"",
                                  "currency_code": "\"USD\""
                                }
                              }
                            },
                            "example": {
                              "presentment_money": {
                                "currency_code": "\"USD\"",
                                "amount": "\"0.00\""
                              },
                              "shop_money": {
                                "amount": "\"0.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          },
                          "variant_title": {
                            "name": "variant_title",
                            "description": "Product attribute value",
                            "type": "string",
                            "example": "\"Black / Bracelet / Bracelet\"\""
                          },
                          "fulfillable_quantity": {
                            "name": "fulfillable_quantity",
                            "description": "Remaining quantity can be shipped",
                            "type": "integer",
                            "example": 1
                          },
                          "fulfillment_status": {
                            "name": "fulfillment_status",
                            "description": "Package tracking",
                            "type": "string",
                            "example": "\"open\""
                          },
                          "requires_shipping": {
                            "name": "requires_shipping",
                            "description": "Shipping or not",
                            "type": "boolean",
                            "example": true
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "Sku quantity",
                            "type": "integer",
                            "example": 1
                          },
                          "price": {
                            "name": "price",
                            "description": "Item price",
                            "type": "string",
                            "example": "\"100.00\""
                          },
                          "total_discount": {
                            "name": "total_discount",
                            "description": "Discount",
                            "type": "string",
                            "example": "\"0.00\""
                          },
                          "taxable": {
                            "name": "taxable",
                            "description": "Tax or not？",
                            "type": "boolean",
                            "example": true
                          },
                          "sku": {
                            "name": "sku",
                            "description": "Product barcode",
                            "type": "string",
                            "example": "\"183423409238904944\""
                          },
                          "properties": {
                            "name": "properties",
                            "description": "Additional information",
                            "type": "array",
                            "items": {
                              "name": "properties",
                              "description": "Additional information",
                              "type": "object",
                              "properties": {
                                "value": {
                                  "name": "value",
                                  "description": "Custom attribute values",
                                  "type": "string",
                                  "example": "\"value\""
                                },
                                "additional": {
                                  "name": "additional",
                                  "description": "Additional information",
                                  "type": "string",
                                  "example": "\" add-on information \""
                                },
                                "name": {
                                  "name": "name",
                                  "description": "Custom attribute name",
                                  "type": "string",
                                  "example": "\" picture \""
                                },
                                "type": {
                                  "name": "type",
                                  "description": "Attribute type",
                                  "type": "string",
                                  "example": "\"picture\""
                                },
                                "urls": {
                                  "name": "urls",
                                  "description": "Url list",
                                  "type": "array",
                                  "items": {
                                    "name": "urls",
                                    "description": "Url list",
                                    "type": "string",
                                    "example": "[\"https://www.myshopline.com\"]"
                                  },
                                  "example": [
                                    "[\"https://www.myshopline.com\"]"
                                  ]
                                }
                              },
                              "example": {
                                "value": "\"value\"",
                                "additional": "\" add-on information \"",
                                "name": "\" picture \"",
                                "type": "\"picture\"",
                                "urls": [
                                  "[\"https://www.myshopline.com\"]"
                                ]
                              }
                            },
                            "example": [
                              {
                                "name": "\" picture \"",
                                "type": "\"picture\"",
                                "urls": [
                                  "[\"https://www.myshopline.com\"]"
                                ],
                                "value": "\"value\"",
                                "additional": "\" add-on information \""
                              }
                            ]
                          },
                          "product_id": {
                            "name": "product_id",
                            "description": "Product serial number",
                            "type": "string",
                            "example": "\"343342675\""
                          },
                          "title": {
                            "name": "title",
                            "description": "Product title",
                            "type": "string",
                            "example": "\"Draft\""
                          },
                          "vendor": {
                            "name": "vendor",
                            "description": "Supplier",
                            "type": "string",
                            "example": ""
                          },
                          "version": {
                            "name": "version",
                            "description": "Product version",
                            "type": "string",
                            "example": "\"1\""
                          },
                          "variant_id": {
                            "name": "variant_id",
                            "description": "Sku serial number",
                            "type": "string",
                            "example": "\"183423409238904944\""
                          },
                          "grams": {
                            "name": "grams",
                            "description": "Weight",
                            "type": "double",
                            "example": 10.5
                          },
                          "id": {
                            "name": "id",
                            "description": "id",
                            "type": "string",
                            "example": "\"466157049\""
                          },
                          "tax_lines": {
                            "name": "tax_lines",
                            "description": "Tax item",
                            "type": "array",
                            "items": {
                              "name": "tax_lines",
                              "description": "Tax item",
                              "type": "object",
                              "properties": {
                                "price_set": {
                                  "name": "price_set",
                                  "description": "Multi-currency information of tax",
                                  "type": "object",
                                  "properties": {
                                    "presentment_money": {
                                      "name": "presentment_money",
                                      "description": "Price",
                                      "type": "object",
                                      "properties": {
                                        "currency_code": {
                                          "name": "currency_code",
                                          "description": "Currency",
                                          "type": "string",
                                          "example": "\"USD\""
                                        },
                                        "amount": {
                                          "name": "amount",
                                          "description": "Total",
                                          "type": "string",
                                          "example": "\"10.00\""
                                        }
                                      },
                                      "example": {
                                        "currency_code": "\"USD\"",
                                        "amount": "\"10.00\""
                                      }
                                    },
                                    "shop_money": {
                                      "name": "shop_money",
                                      "description": "Store price",
                                      "type": "object",
                                      "properties": {
                                        "currency_code": {
                                          "name": "currency_code",
                                          "description": "Currency",
                                          "type": "string",
                                          "example": "\"USD\""
                                        },
                                        "amount": {
                                          "name": "amount",
                                          "description": "Total",
                                          "type": "string",
                                          "example": "\"10.00\""
                                        }
                                      },
                                      "example": {
                                        "amount": "\"10.00\"",
                                        "currency_code": "\"USD\""
                                      }
                                    }
                                  },
                                  "example": {
                                    "presentment_money": {
                                      "currency_code": "\"USD\"",
                                      "amount": "\"10.00\""
                                    },
                                    "shop_money": {
                                      "amount": "\"10.00\"",
                                      "currency_code": "\"USD\""
                                    }
                                  }
                                },
                                "rate": {
                                  "name": "rate",
                                  "description": "Tax rate",
                                  "type": "string",
                                  "example": "\"1.00\""
                                },
                                "title": {
                                  "name": "title",
                                  "description": "Tax title",
                                  "type": "string",
                                  "example": "\" Product tax \""
                                },
                                "name": {
                                  "name": "name",
                                  "description": "Tax name",
                                  "type": "string",
                                  "example": "\" item tax \""
                                },
                                "price": {
                                  "name": "price",
                                  "description": "Tax",
                                  "type": "string",
                                  "example": "\"10.00\""
                                }
                              },
                              "example": {
                                "name": "\" item tax \"",
                                "price": "\"10.00\"",
                                "price_set": {
                                  "presentment_money": {
                                    "currency_code": "\"USD\"",
                                    "amount": "\"10.00\""
                                  },
                                  "shop_money": {
                                    "amount": "\"10.00\"",
                                    "currency_code": "\"USD\""
                                  }
                                },
                                "rate": "\"1.00\"",
                                "title": "\" Product tax \""
                              }
                            },
                            "example": [
                              {
                                "price": "\"10.00\"",
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "\"10.00\"",
                                    "currency_code": "\"USD\""
                                  },
                                  "shop_money": {
                                    "currency_code": "\"USD\"",
                                    "amount": "\"10.00\""
                                  }
                                },
                                "rate": "\"1.00\"",
                                "title": "\" Product tax \"",
                                "name": "\" item tax \""
                              }
                            ]
                          }
                        },
                        "example": {
                          "name": "Trade name",
                          "fulfillable_quantity": 1,
                          "title": "\"Draft\"",
                          "taxable": true,
                          "sku": "\"183423409238904944\"",
                          "requires_shipping": true,
                          "price": "\"100.00\"",
                          "product_id": "\"343342675\"",
                          "properties": [
                            {
                              "type": "\"picture\"",
                              "urls": [
                                "[\"https://www.myshopline.com\"]"
                              ],
                              "value": "\"value\"",
                              "additional": "\" add-on information \"",
                              "name": "\" picture \""
                            }
                          ],
                          "quantity": 1,
                          "id": "\"466157049\"",
                          "total_discount": "\"0.00\"",
                          "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                          "tax_lines": [
                            {
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                },
                                "shop_money": {
                                  "currency_code": "\"USD\"",
                                  "amount": "\"10.00\""
                                }
                              },
                              "rate": "\"1.00\"",
                              "title": "\" Product tax \"",
                              "name": "\" item tax \""
                            }
                          ],
                          "version": "\"1\"",
                          "price_set": {
                            "presentment_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            }
                          },
                          "total_discount_set": {
                            "presentment_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            }
                          },
                          "variant_id": "\"183423409238904944\"",
                          "fulfillment_quantity": 1,
                          "vendor": "",
                          "fulfillment_status": "\"open\"",
                          "grams": 10.5
                        }
                      },
                      "example": [
                        {
                          "product_id": "\"343342675\"",
                          "id": "\"466157049\"",
                          "total_discount_set": {
                            "presentment_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "currency_code": "\"USD\"",
                              "amount": "\"0.00\""
                            }
                          },
                          "price": "\"100.00\"",
                          "fulfillment_quantity": 1,
                          "taxable": true,
                          "properties": [
                            {
                              "value": "\"value\"",
                              "additional": "\" add-on information \"",
                              "name": "\" picture \"",
                              "type": "\"picture\"",
                              "urls": [
                                "[\"https://www.myshopline.com\"]"
                              ]
                            }
                          ],
                          "price_set": {
                            "presentment_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            }
                          },
                          "quantity": 1,
                          "total_discount": "\"0.00\"",
                          "grams": 10.5,
                          "title": "\"Draft\"",
                          "requires_shipping": true,
                          "vendor": "",
                          "tax_lines": [
                            {
                              "title": "\" Product tax \"",
                              "name": "\" item tax \"",
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                },
                                "shop_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                }
                              },
                              "rate": "\"1.00\""
                            }
                          ],
                          "fulfillable_quantity": 1,
                          "name": "Trade name",
                          "variant_id": "\"183423409238904944\"",
                          "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                          "version": "\"1\"",
                          "sku": "\"183423409238904944\"",
                          "fulfillment_status": "\"open\""
                        }
                      ]
                    },
                    "name": {
                      "name": "name",
                      "description": "Package name",
                      "type": "string",
                      "example": "\"#21057116277667827637773776.1\""
                    }
                  },
                  "example": {
                    "tracking_numbers": [
                      "[\"UG198768340YP\"]"
                    ],
                    "id": "\"4005740193290131085320\"",
                    "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                    "created_at": "2022-10-21T08:56:20-04:00",
                    "name": "\"#21057116277667827637773776.1\"",
                    "order_id": "\"21057116277667827637773776\"",
                    "tracking_company": "\"Other\"",
                    "updated_at": "2022-10-21T08:56:20-04:00",
                    "status": "\"success\"",
                    "line_items": [
                      {
                        "title": "\"Draft\"",
                        "tax_lines": [
                          {
                            "name": "\" item tax \"",
                            "price": "\"10.00\"",
                            "price_set": {
                              "presentment_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "rate": "\"1.00\"",
                            "title": "\" Product tax \""
                          }
                        ],
                        "properties": [
                          {
                            "urls": [
                              "[\"https://www.myshopline.com\"]"
                            ],
                            "value": "\"value\"",
                            "additional": "\" add-on information \"",
                            "name": "\" picture \"",
                            "type": "\"picture\""
                          }
                        ],
                        "fulfillment_status": "\"open\"",
                        "id": "\"466157049\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_quantity": 1,
                        "quantity": 1,
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"0.00\""
                          }
                        },
                        "taxable": true,
                        "total_discount": "\"0.00\"",
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "name": "Trade name",
                        "requires_shipping": true,
                        "variant_id": "\"183423409238904944\"",
                        "vendor": "",
                        "product_id": "\"343342675\"",
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"100.00\""
                          },
                          "shop_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "price": "\"100.00\"",
                        "version": "\"1\"",
                        "sku": "\"183423409238904944\"",
                        "grams": 10.5
                      }
                    ],
                    "tracking_urls": [
                      "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    ],
                    "tracking_number": "\"UG198768340YP\"",
                    "shipment_status": "\"success\""
                  }
                },
                "example": [
                  {
                    "shipment_status": "\"success\"",
                    "order_id": "\"21057116277667827637773776\"",
                    "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                    "updated_at": "2022-10-21T08:56:20-04:00",
                    "tracking_number": "\"UG198768340YP\"",
                    "tracking_numbers": [
                      "[\"UG198768340YP\"]"
                    ],
                    "name": "\"#21057116277667827637773776.1\"",
                    "tracking_company": "\"Other\"",
                    "id": "\"4005740193290131085320\"",
                    "tracking_urls": [
                      "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    ],
                    "created_at": "2022-10-21T08:56:20-04:00",
                    "line_items": [
                      {
                        "sku": "\"183423409238904944\"",
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "requires_shipping": true,
                        "title": "\"Draft\"",
                        "vendor": "",
                        "product_id": "\"343342675\"",
                        "grams": 10.5,
                        "price": "\"100.00\"",
                        "properties": [
                          {
                            "additional": "\" add-on information \"",
                            "name": "\" picture \"",
                            "type": "\"picture\"",
                            "urls": [
                              "[\"https://www.myshopline.com\"]"
                            ],
                            "value": "\"value\""
                          }
                        ],
                        "quantity": 1,
                        "variant_id": "\"183423409238904944\"",
                        "fulfillment_status": "\"open\"",
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "fulfillment_quantity": 1,
                        "total_discount": "\"0.00\"",
                        "id": "\"466157049\"",
                        "version": "\"1\"",
                        "fulfillable_quantity": 1,
                        "name": "Trade name",
                        "tax_lines": [
                          {
                            "rate": "\"1.00\"",
                            "title": "\" Product tax \"",
                            "name": "\" item tax \"",
                            "price": "\"10.00\"",
                            "price_set": {
                              "presentment_money": {
                                "currency_code": "\"USD\"",
                                "amount": "\"10.00\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          }
                        ],
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "taxable": true
                      }
                    ],
                    "status": "\"success\""
                  }
                ]
              }
            },
            "example": {
              "fulfillments": [
                {
                  "tracking_number": "\"UG198768340YP\"",
                  "shipment_status": "\"success\"",
                  "tracking_numbers": [
                    "[\"UG198768340YP\"]"
                  ],
                  "order_id": "\"21057116277667827637773776\"",
                  "updated_at": "2022-10-21T08:56:20-04:00",
                  "id": "\"4005740193290131085320\"",
                  "line_items": [
                    {
                      "total_discount": "\"0.00\"",
                      "fulfillable_quantity": 1,
                      "sku": "\"183423409238904944\"",
                      "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                      "total_discount_set": {
                        "presentment_money": {
                          "currency_code": "\"USD\"",
                          "amount": "\"0.00\""
                        },
                        "shop_money": {
                          "amount": "\"0.00\"",
                          "currency_code": "\"USD\""
                        }
                      },
                      "vendor": "",
                      "quantity": 1,
                      "taxable": true,
                      "name": "Trade name",
                      "price": "\"100.00\"",
                      "requires_shipping": true,
                      "id": "\"466157049\"",
                      "fulfillment_quantity": 1,
                      "product_id": "\"343342675\"",
                      "price_set": {
                        "presentment_money": {
                          "currency_code": "\"USD\"",
                          "amount": "\"100.00\""
                        },
                        "shop_money": {
                          "amount": "\"100.00\"",
                          "currency_code": "\"USD\""
                        }
                      },
                      "fulfillment_status": "\"open\"",
                      "title": "\"Draft\"",
                      "grams": 10.5,
                      "properties": [
                        {
                          "additional": "\" add-on information \"",
                          "name": "\" picture \"",
                          "type": "\"picture\"",
                          "urls": [
                            "[\"https://www.myshopline.com\"]"
                          ],
                          "value": "\"value\""
                        }
                      ],
                      "variant_id": "\"183423409238904944\"",
                      "version": "\"1\"",
                      "tax_lines": [
                        {
                          "name": "\" item tax \"",
                          "price": "\"10.00\"",
                          "price_set": {
                            "presentment_money": {
                              "amount": "\"10.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"10.00\"",
                              "currency_code": "\"USD\""
                            }
                          },
                          "rate": "\"1.00\"",
                          "title": "\" Product tax \""
                        }
                      ]
                    }
                  ],
                  "created_at": "2022-10-21T08:56:20-04:00",
                  "tracking_company": "\"Other\"",
                  "tracking_urls": [
                    "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                  ],
                  "name": "\"#21057116277667827637773776.1\"",
                  "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                  "status": "\"success\""
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/fulfillment_orders/:order_id/:fulfillment_order_id/fulfillments.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get all fulfillments for the fulfillment order",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_assigned_fulfillment_orders"
  ]
}
```